# -*- encoding: utf-8 -*-
# stub: sidekiq 6.4.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sidekiq".freeze
  s.version = "6.4.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/mperham/sidekiq/issues", "changelog_uri" => "https://github.com/mperham/sidekiq/blob/main/Changes.md", "documentation_uri" => "https://github.com/mperham/sidekiq/wiki", "homepage_uri" => "https://sidekiq.org", "source_code_uri" => "https://github.com/mperham/sidekiq" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mike Perham".freeze]
  s.date = "2022-02-07"
  s.description = "Simple, efficient background processing for Ruby.".freeze
  s.email = ["mperham@gmail.com".freeze]
  s.executables = ["sidekiq".freeze, "sidekiqmon".freeze]
  s.files = ["Changes.md".freeze, "LICENSE".freeze, "README.md".freeze, "bin/sidekiq".freeze, "bin/sidekiqload".freeze, "bin/sidekiqmon".freeze, "lib/generators/sidekiq/job_generator.rb".freeze, "lib/generators/sidekiq/templates/job.rb.erb".freeze, "lib/generators/sidekiq/templates/job_spec.rb.erb".freeze, "lib/generators/sidekiq/templates/job_test.rb.erb".freeze, "lib/sidekiq.rb".freeze, "lib/sidekiq/api.rb".freeze, "lib/sidekiq/cli.rb".freeze, "lib/sidekiq/client.rb".freeze, "lib/sidekiq/delay.rb".freeze, "lib/sidekiq/exception_handler.rb".freeze, "lib/sidekiq/extensions/action_mailer.rb".freeze, "lib/sidekiq/extensions/active_record.rb".freeze, "lib/sidekiq/extensions/class_methods.rb".freeze, "lib/sidekiq/extensions/generic_proxy.rb".freeze, "lib/sidekiq/fetch.rb".freeze, "lib/sidekiq/job.rb".freeze, "lib/sidekiq/job_logger.rb".freeze, "lib/sidekiq/job_retry.rb".freeze, "lib/sidekiq/job_util.rb".freeze, "lib/sidekiq/launcher.rb".freeze, "lib/sidekiq/logger.rb".freeze, "lib/sidekiq/manager.rb".freeze, "lib/sidekiq/middleware/chain.rb".freeze, "lib/sidekiq/middleware/current_attributes.rb".freeze, "lib/sidekiq/middleware/i18n.rb".freeze, "lib/sidekiq/monitor.rb".freeze, "lib/sidekiq/paginator.rb".freeze, "lib/sidekiq/processor.rb".freeze, "lib/sidekiq/rails.rb".freeze, "lib/sidekiq/redis_connection.rb".freeze, "lib/sidekiq/scheduled.rb".freeze, "lib/sidekiq/sd_notify.rb".freeze, "lib/sidekiq/systemd.rb".freeze, "lib/sidekiq/testing.rb".freeze, "lib/sidekiq/testing/inline.rb".freeze, "lib/sidekiq/util.rb".freeze, "lib/sidekiq/version.rb".freeze, "lib/sidekiq/web.rb".freeze, "lib/sidekiq/web/action.rb".freeze, "lib/sidekiq/web/application.rb".freeze, "lib/sidekiq/web/csrf_protection.rb".freeze, "lib/sidekiq/web/helpers.rb".freeze, "lib/sidekiq/web/router.rb".freeze, "lib/sidekiq/worker.rb".freeze, "sidekiq.gemspec".freeze, "web/assets/images/apple-touch-icon.png".freeze, "web/assets/images/favicon.ico".freeze, "web/assets/images/logo.png".freeze, "web/assets/images/status.png".freeze, "web/assets/javascripts/application.js".freeze, "web/assets/javascripts/dashboard.js".freeze, "web/assets/stylesheets/application-dark.css".freeze, "web/assets/stylesheets/application-rtl.css".freeze, "web/assets/stylesheets/application.css".freeze, "web/assets/stylesheets/bootstrap-rtl.min.css".freeze, "web/assets/stylesheets/bootstrap.css".freeze, "web/locales/ar.yml".freeze, "web/locales/cs.yml".freeze, "web/locales/da.yml".freeze, "web/locales/de.yml".freeze, "web/locales/el.yml".freeze, "web/locales/en.yml".freeze, "web/locales/es.yml".freeze, "web/locales/fa.yml".freeze, "web/locales/fr.yml".freeze, "web/locales/he.yml".freeze, "web/locales/hi.yml".freeze, "web/locales/it.yml".freeze, "web/locales/ja.yml".freeze, "web/locales/ko.yml".freeze, "web/locales/lt.yml".freeze, "web/locales/nb.yml".freeze, "web/locales/nl.yml".freeze, "web/locales/pl.yml".freeze, "web/locales/pt-br.yml".freeze, "web/locales/pt.yml".freeze, "web/locales/ru.yml".freeze, "web/locales/sv.yml".freeze, "web/locales/ta.yml".freeze, "web/locales/uk.yml".freeze, "web/locales/ur.yml".freeze, "web/locales/vi.yml".freeze, "web/locales/zh-cn.yml".freeze, "web/locales/zh-tw.yml".freeze, "web/views/_footer.erb".freeze, "web/views/_job_info.erb".freeze, "web/views/_nav.erb".freeze, "web/views/_paging.erb".freeze, "web/views/_poll_link.erb".freeze, "web/views/_status.erb".freeze, "web/views/_summary.erb".freeze, "web/views/busy.erb".freeze, "web/views/dashboard.erb".freeze, "web/views/dead.erb".freeze, "web/views/layout.erb".freeze, "web/views/morgue.erb".freeze, "web/views/queue.erb".freeze, "web/views/queues.erb".freeze, "web/views/retries.erb".freeze, "web/views/retry.erb".freeze, "web/views/scheduled.erb".freeze, "web/views/scheduled_job_info.erb".freeze]
  s.homepage = "https://sidekiq.org".freeze
  s.licenses = ["LGPL-3.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.3.10".freeze
  s.summary = "Simple, efficient background processing for Ruby".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<redis>.freeze, [">= 4.2.0"])
    s.add_runtime_dependency(%q<connection_pool>.freeze, [">= 2.2.2"])
    s.add_runtime_dependency(%q<rack>.freeze, ["~> 2.0"])
  else
    s.add_dependency(%q<redis>.freeze, [">= 4.2.0"])
    s.add_dependency(%q<connection_pool>.freeze, [">= 2.2.2"])
    s.add_dependency(%q<rack>.freeze, ["~> 2.0"])
  end
end

